import { Transport } from 'mediasoup-client/lib/Transport';
export declare const getICEServers: () => Promise<any>;
declare class CallStats {
    stats: any;
    sendTransport: Transport;
    recvTransport: Transport;
    roomURL: string;
    peerId: string;
    backend: any;
    initialize(peerId: string, userDisplayName: string): void;
    setRoomName(roomName: string): void;
    configureSendTransport(sendTransport: Transport): void;
    configureRecvTransport(recvTransport: Transport): void;
    private sendEvent;
    audioOff(): void;
    audioOn(): void;
    videoOff(): void;
    videoOn(): void;
    callEnded(): void;
    screenShareStart(ssrc: number): void;
    screenShareStop(ssrc: number): void;
    activeSpeaker(peerId: string): void;
    switchDevice(deviceData: {
        deviceList: any[];
    }): void;
    addSendStream(ssrc: number): void;
    addRecvStream(peerId: string, ssrc: number): void;
    startPreCallTest(interval?: number): Promise<void>;
    onPreCallTestResults(fx: Function): void;
}
declare const stats: CallStats;
export default stats;
